Page tree
Skip to end of metadata
Go to start of metadata

The following sections discuss software requirements for BMC TrueSight Capacity Optimization:

Supported platforms

Computers or VMs that host the BMC TrueSight Capacity Optimization Application Server and ETL Engine server components must be running one of the following supported platforms:

Application Server and ETL Server

Operating system

Version

Supported architecture

Red Hat Enterprise Linux

5.x

x86_64

Red Hat Enterprise Linux

6.x

x86_64

Red Hat Enterprise Linux

7.x

x86_64

Oracle Linux

6.x

x86_64

Oracle Linux

7.x

x86_64

Linux CentOS

5.x

x86_64

Linux CentOS

6.x

x86_64

Linux CentOS

7.x

x86_64

SUSE Linux Enterprise

11.x

x86_64

SUSE Linux Enterprise

12x86_64

Oracle Solaris

10.x

x86_64

Oracle Solaris

11.x

x86_64

For more information about the required operating system libraries, see Required Operating System libraries for the Application Server.

Note

  • If you are installing the Application Server using the User Interface, ensure that an XServer is either installed locally on your workstation or installed on a remote machine to which you can export the display. If you are connecting to the client from a remote workstation by using a XServer server, ensure that the XServer is already running on the client machine.
  • XServer is not required when you are performing silent installation of the Application Server.

Required operating system libraries for the Application Server

The BMC TrueSight Capacity Optimization installation program detects the host OS, verifies that all required libraries for that Operating System are already installed on the host, and, if required, installs any remaining required libraries. The following table lists the required libraries according to OS.

You must ensure that the required libraries are already installed on a supported Operating System. Some of these libraries are bundled by default with the Operating System installer.

Operating system

 

Required libraries

Linux CentOS 5.x

perl-5.8.8, libXtst, perl-libwww-perl

Linux CentOS 6.x

perl-5.10.1, libXtst, perl-libwww-perl

Linux CentOS 7.x

perl-5.16.3, libXtst, perl-libwww-perl

Oracle Linux 6.x

perl-5.10.1, libXtst, perl-libwww-perl

Red Hat Enterprise Linux 5.x

perl-5.8.8, libXtst, perl-libwww-perl

Red Hat Enterprise Linux 6.x

perl-5.10.1, libXtst, perl-libwww-perl

Red Hat Enterprise Linux 7.x

perl-5.16.3, libXtst, perl-libwww-perl

SUSE Linux Enterprise 11.x

perl-5.8.8, perl-libwww-perl

Oracle Solaris 10.x

en_US.UTF-8 Locale, perl-libwww-perl

Oracle Solaris 11.x

en_US.UTF-8 Locale, perl-libwww-perl

Gateway Server

Operating system

Version

Supported architecture

Red Hat Enterprise Linux 

5.x

x86, x86_64

Red Hat Enterprise Linux

6.x

x86, x86_64

Red Hat Enterprise Linux

7.x

x86_64

SUSE Linux Enterprise Server

11.x

x86_64

Oracle Enterprise Linux

5

x86_64

Microsoft Windows Server

2003 Web

x86, x86_64

Microsoft Windows Server2003 Standard

x86, x86_64

Microsoft Windows Server2003 Datacenter

x86, x86_64

Microsoft Windows Server2003 Enterprise

x86, x86_64

Microsoft Windows VistaHome

x86, x86_64

Microsoft Windows VistaProfessional

x86, x86_64

Microsoft Windows VistaUltimate

x86, x86_64

Microsoft Windows Servers2008x86_64
Microsoft Windows Servers2008 R2x86_64
Microsoft Windows7

x86, x86_64

Microsoft Windows Servers
2012x86_64
Microsoft Windows Servers2012 R2x86_64

For more information about the required operating system libraries, see Required Operating System libraries for the Gateway Server.

Note

Server Core installations for Microsoft Windows Server are not supported.

Required operating system libraries for the Gateway Server

The following table lists the required libraries according to OS.

You must ensure that the required libraries are already installed on a supported operating system. Some of these libraries are bundled by default with the Operating System installer.

Operating system

 

Required libraries

Red Hat Enterprise Linux 5.x

ksh, glibc.i686

Red Hat Enterprise Linux 6.x

ksh, glibc.i686

Red Hat Enterprise Linux 7.x

ksh, glibc.i686

SUSE Linux Enterprise Server 11.x

ksh, glibc.i686

Oracle Enterprise Linux 5.x

ksh, glibc.i686

Supported Oracle Clients

Computers or VMs that host the BMC TrueSight Capacity Optimization Application Server or ETL Engine server components must be running a supported Oracle Client with the following packages, components, and configurations:

Oracle Client install options1

Any one of the following Oracle Client configurations

Required Oracle packages
(for Solaris only)

  • Oracle Net
  • Oracle Database Utilities
  • Oracle JDBC/THIN Interfaces
  • SQL*Plus
  • SQLLDR
  • Oracle Call Interfaces

1 These options are available only while performing a Custom installation of the Oracle Client.

  • Oracle Client 11.2.x, 64-bit

  • Oracle Client 12.1.x, 64-bit

    Note

    On Oracle Solaris, only 32-bit Oracle Client is supported.

  • SUNWi1of
  • SUNWarc

BMC TrueSight Capacity Optimization does not support the Oracle Instant Client.

Browser support for BMC TrueSight Capacity Optimization

The BMC TrueSight Capacity Optimization Console is supported on the following browsers:

Web browser

Browser versions

Browser operating system platform

Browser operating system architecture

Microsoft Internet Explorer *

8**, 9, 10, and 11

Microsoft Windows

32/64-bit

Mozilla Firefox

5.x and later

  • Microsoft Windows
  • Linux
  • UNIX

32/64-bit

Google Chrome***

37, 38, 39, and 40Microsoft Windows32/64-bit

* The BMC TrueSight Capacity Optimization console might not display correctly in some versions of Microsoft Internet Explorer because of enhanced security configurations of the browser. To ensure that the console is displayed correctly, add the console name to the Trusted sites zone in the security section of the Internet Options dialog box of the Microsoft Internet Explorer. This update lowers the security settings for the console and correctly displays all content. For more information, see Managing Internet Explorer Enhanced Security Configuration.

*Starting from January 12, 2016, Microsoft does not support Internet Explorer 8 (IE 8) anymore. While IE 8 was supported by this version of BMC TrueSight Capacity Optimization at the time it went GA, it should no longer be considered a supported browser by BMC. It is mentioned in this table just as a reference.

*** In Google Chrome, if you manually drag the Navigation panel to widen or reduce it, and then click the Collapse icon, the Navigation panel does not appear where it normally should. For more information about this known issue, see https://code.google.com/p/chromium/issues/detail?id=143363.

Port and firewall settings

For details about the port and firewall settings, see Communication ports and protocols.

Operating System support and patch requirements for Capacity Agents

This section lists the Operating System (OS) support and OS patch requirements for Capacity Agent and Agentless computers.

Operating System support for Capacity Agent-based data collection

The following tables list the Operating Systems on which you can currently install and use Capacity Agent:

Note

  • For data collection from a Solaris 10 or 11 computer configured as a zone, the Capacity Agent must be installed on the global zone. All non-global zone data is accessible from the global zone.
  • For data collection from a AIX 6.1 or 7.1 computer configured as a wpar, the Capacity Agent must be installed on the global wpar. All non-global wpar data is accessible from the global wpar.

  • Compatible 32-bit for libgcc_s.so.1 and libstdc++.so.5 libraries are required to be installed for Z series.

  • For the Capacity Agent on 64-bit Linux machines, the glibc.i686 library is required.

Operating System support for Capacity Agents

Operating system

Supported version

Architecture / Notes

AIX

6.1.2.1, 6.1 TL9

64-bit hardware, 64-bit kernel only

AIX7.1, 7.1 TL364-bit hardware, 64-bit kernel, POWER 1

CentOS

5, 6, 6.5, 7

x86, x86-64

Citrix Xen

5.5, 5.6, 6, 6.2

x86, x86-64

HP-UX

11i (B11.11)

64-bit, RISC

HP-UX

11iv2 (B11.23)x64, Itanium, PA RISC

HP-UX

11iv3 (B11.31)x64, Itanium, PA RISC
HP-IVM3.5HP Integrity Virtual Machines Manager

Oracle Linux

4.x, 5.x, 6.x

x86 and x86-64

Note: Oracle Linux support includes support for all point releases within the series. For example, Oracle Linux 6 covers support for 6.0, 6.1, 6.2, 6.3, 6.4, 6.5, and 6.6.

Red Hat Enterprise Linux

5.x

x86, x86-64, Itanium2, POWER 1, zSeries

Note: Red Hat Enterprise Linux support includes support for all point releases within the series (for example: Red Hat Enterprise Linux 5 covers support for 5.0, 5.1, 5.2, 5.3, 5.4, 5.5, and Open Source Xen is supported on 5.2, 5.3, 5.4 and 5.5). All AS, ES, and WS variants are supported.

Red Hat Enterprise Linux

6.xx86, x86-64 2, POWER 1, zSeries

Red Hat Enterprise Linux

7.xx86, x86-64 2, POWER 1, zSeries

Oracle Solaris

10, 1164-bit SPARC, x86, x86-64

SUSE Linux Enterprise Server

11, 11SP3

x86, x86-64, Itanium2, POWER 1, zSeries

Note: SUSE Linux Enterprise Server support includes support for all point releases within the series (for example: SUSE Linux Enterprise Server 10 covers support for 10.0, 10.1, 10.2 and Open Source Xen covers support for 10.x and 11.x).

SUSE Linux Enterprise Desktop

11

x86, x86-64

VMware ESX

4.0, 4i

Note: 4i includes point release of the 4.x series (such as 4.1).

VMware vCenter Server

4.x, 5.0, 5.1

 

Microsoft Windows Servers

2003 3

x86

Microsoft Windows Itanium Servers2003 4, 2008 x86_64
Microsoft Windows for Servers2012, 2012 R2x86, x86_64

Note: Server Core Installation Option for Windows Servers is not a supported platform.

Microsoft Hyper-V Server2008, 2008 R2,
2012, 2012 R2
 
Microsoft Windows7x86, x86_64

Red Hat Application Server

5.10, 5.11, 6.6, 7.0x86, x86_64
Ubuntu10.04 LTS, 12.04 LTS, 14.04 LTS 

1 Support for POWER7 is provided only for those features that are supported in POWER6.
2 Requires installation of RPM libstdc.i686.

3 References to Microsoft Windows Server 2003 and 2008 (which includes SP2 and R2) include all editions of these platform families and their service packs, except where service packs or particular editions are specifically listed in the table.

4 References to x86-64 include AMD64 (which includes Opteron) and Intel 64 architecture (formerly known as Intel Extended Memory 64 Technology, or Intel EM64T).

Operating System support for VMware Guest Operating Systems running as Capacity Agents

VMware guests as Agent computers

Operating system

Supported versions

Architecture

Red Hat Enterprise Linux

5.x, 6.x, 7.x

x86, x86-64

Note: Red Hat Enterprise Linux support includes support for all point releases within the series (for example, Red Hat Enterprise Linux 5 covers support for 5.0, 5.1, 5.2, through 5.5; Open source Xen is supported on 5.2, 5.3, 5.4, and 5.5). All AS, ES, and WS variants are supported.

Oracle Linux

4.x, 5.x, 6.x

x86 and x86-64

Oracle Solaris

10x86

Oracle Solaris

10, 11

x86-64

SUSE Linux Enterprise Server

10, 11

x86, x86-64

Note: SUSE Linux Enterprise Server support includes support for all point releases within the series (for example, SUSE Linux Enterprise Server 10 covers support for 10.0, 10.1, 10.2, and so on; Open Source Xen is supported on 10.x and 11.x).

SUSE Linux Enterprise Desktop

11

x86, x86-64

Microsoft Windows Servers

2003x86, x86_64

Note: References to Microsoft Windows Server 2003 and 2008 includes support for both SP2 and R2, and all editions of these platform families and their service packs, except where service packs or particular editions are specifically listed in the table.

Microsoft Windows Servers

2008x86, x86_64

Microsoft Windows Servers

2012x86_64
Microsoft Windows7x86, x86_64
Microsoft Windows VistaHome, Professional, and UltimateIA32 x86, x86_64

   1 Support for POWER7 is provided only for those features that are supported in POWER6.
 2 Requires installation of RPM libstdc.i686.

Note

All references to x86-64 include AMD64 (which includes Opteron) and Intel 64 architecture (formerly known as Intel Extended Memory 64 Technology, or Intel EM64T).

Operating System support for proxy data collection from Agentless computers

Proxy data collection enables you to collect system data from agentless computers – computers that do not have Capacity Agent resident on their system. Microsoft Windows computers are used as proxy hosts to gather data from local and agentless computers.

The following table lists the operating systems supported for each type of proxy data collection.

Server Core installations for Microsoft Windows Server operating systems are not supported.

Computer

Supported operating systems

Windows proxy host

  • Microsoft Windows Server 2003 Web and Standard Editions, x86
  • Microsoft Windows Server 2003 1, x86-32/x86-64
  • Microsoft Windows Vista, x86-32/x86-64
  • Microsoft Windows 2008 Servers, x86-32/x86-64
  • Microsoft Windows 7, x86/x64

Agentless, or remote, computer

  • Microsoft Windows Server 2003 Web and Standard Editions, x86
  • Microsoft Windows Server 2003 1, x86/x64/IA64
  • Microsoft Windows Vista, x86/x64
  • Microsoft Windows 2008 Servers, x86/x64/IA64
  • Microsoft Windows 7, x86/x64

Agentless Hyper-V server

Microsoft Windows 2008 Servers, x86-64

   1 References to Microsoft Windows Server 2003 (which includes Windows Server 2003 R2) include all editions of these platform families and their service packs, except where service packs or particular editions are specifically listed in the table.
   2 A defect in the Windows 2008 and Windows 2008 SP1 Hyper-V editions that intermittently sets some counters to 0 (zero) when Hyper-V groups are collected remotely with WMI API, causes issues in Investigate, Analyze, and Perceiver. The issue appears to be fixed in Windows 2008 R2 Hyper-V editions. For proxy collection of Hyper-V groups, upgrade the remote Hyper-V system to Windows 2008 R2 editions.

Note

By default, Gateway Server correctly collects metrics for cores, sockets, and threads per core from agentless Windows Vista, Windows 7, or Windows 2008 systems. However, to obtain valid values for these metrics from agentless 2003 systems, you must apply the patches described in Microsoft solution center for Windows 2003 article 932370, available at the Microsoft support site.

For information about implementing proxy data collection, see Collecting data using Proxy Agents.

Operating System patch requirements for Agents

The following sections describe required operating system patches.

Patch for ↓Description ↓

Windows Vista or 2008

For Windows Vista or 2008 and Windows Vista or 2008 SP1 (not SP2), a heavy memory leak is possible from the Windows system collector that can rapidly use all the available memory. To avoid this issue, you must apply the hotfix available at: http://support.microsoft.com/kb/949700.

AIX 6.1

  • Install APAR IZ10223 to correct time zone issues when collecting data from computers running AIX 6.1.
  • Install APAR IZ75758 to correctly collect WPAR Statistics after a WPAR has been migrated to an AIX 6.1 system.
Solaris →


Requirement for ↓

Description ↓

Package: libpool.so.1

For Solaris 10:
  • SUNWpool
  • SUNWpoolr

For Solaris 11:

  • SUNWpool
  • SUNWpoold
  • SUNWpoolr

To verify that these packages are installed, run the following command:

> pkginfo | grep SUNWpool

Patch updates: Solaris 10

  • To support Disk Statistics on guest LDoms, install kernel patch: 137111-02.
  • To collect disk I/O statistics for the LDoms, install kernel patch: 137137-09.
  • To support enhanced zone reporting, use Global Zone with Solaris 10 update 7 or later.
  • To collect Zone Statistics metrics, install kernel patch: 142900-02.
  • To avoid a potential for high CPU consumption during Zone Statistics collection, install kernel patch: 142909-17 with patch 144488-04.

Related topics

Hardware requirements

Database requirements

Third-party product requirements and support